Get Edge-Node Cluster status.
GET /api/v1/cluster/id//status. Edge node clusters API reference.
Get Edge-Node Cluster status.
Authentication · API availability · Download OpenAPI
A successful response.Bad Request. The API gateway did not process the request because of missing parameter or invalid value of parameters.Unauthorized. The API gateway did not process the request because it lacks valid authentication credentials for the target resource. The request header has either no authorization details or an authorization that has been refused.Forbidden. The API gateway did not process the request because the requestor does not have application level access permission for the operation or does not have access scope to the project.Not Found. The API gateway did not process the request because the requested resource could not be found.Conflict. The API gateway did not process the request because this edge-node cluster record will conflict with an already existing edge-node cluster record.Precondition failed. Some of preconditions haven’t been met to start request processing.Internal Server Error. The API gateway experienced an unexpected condition. Specific error condition is indicated in error codes.Gateway Timeout. The API gateway did not receive a timely response from an upstream microservice it needed to communicate with in order to complete the request.An unexpected error response.
Authorizations
Bearer token for user session
Headers
User-Agent specified id to track a request
Path Parameters
System defined universally unique Id of the cluster
Response
A successful response.
- RUN_STATE_ONLINE: Entity Online
- RUN_STATE_HALTED: Entity Halted
- RUN_STATE_INIT: Entity Initializing
- RUN_STATE_REBOOTING: Entity Rebooting
- RUN_STATE_OFFLINE: Entity Offline
- RUN_STATE_UNKNOWN: Entity state Unknown
- RUN_STATE_UNPROVISIONED: Entity Unprovisioned
- RUN_STATE_PROVISIONED: Entity Provisioned
- RUN_STATE_SUSPECT: Entity Suspect
- RUN_STATE_DOWNLOADING: Edge-node downloading entity artifacts
- RUN_STATE_RESTARTING: Entity Restarting
- RUN_STATE_PURGING: Entity Purging
- RUN_STATE_HALTING: Entity Halting
- RUN_STATE_ERROR: Entity encountered an error
- RUN_STATE_VERIFYING: Verification of downloaded Artifacts in Progress.
- RUN_STATE_LOADING: Loading of Artifacts into local datastore in Progress.
- RUN_STATE_CREATING_VOLUME: Volume creation from artifacts in Progress
- RUN_STATE_BOOTING: Entity booting up
- RUN_STATE_MAINTENANCE_MODE: Entity maintenance mode
- RUN_STATE_START_DELAYED: Application start delayed as per configuration
- RUN_STATE_BASEOS_UPDATING: Device BaseOs Update in Progress
- RUN_STATE_PREPARING_POWEROFF: device preparing power off - shutting down all app instances
- RUN_STATE_POWERING_OFF: device powering off from local profile server
- RUN_STATE_PREPARED_POWEROFF: device prepared power off - all app instances are shut down
Available options:
RUN_STATE_UNSPECIFIED, RUN_STATE_ONLINE, RUN_STATE_HALTED, RUN_STATE_INIT, RUN_STATE_REBOOTING, RUN_STATE_OFFLINE, RUN_STATE_UNKNOWN, RUN_STATE_UNPROVISIONED, RUN_STATE_PROVISIONED, RUN_STATE_SUSPECT, RUN_STATE_DOWNLOADING, RUN_STATE_RESTARTING, RUN_STATE_PURGING, RUN_STATE_HALTING, RUN_STATE_ERROR, RUN_STATE_VERIFYING, RUN_STATE_LOADING, RUN_STATE_CREATING_VOLUME, RUN_STATE_BOOTING, RUN_STATE_MAINTENANCE_MODE, RUN_STATE_START_DELAYED, RUN_STATE_BASEOS_UPDATING, RUN_STATE_PREPARING_POWEROFF, RUN_STATE_POWERING_OFF, RUN_STATE_PREPARED_POWEROFF